VERSION 5.00
Object = "{D6CD40C0-A522-11D0-9800-D3C9B35D2C47}#1.0#0"; "SPIRIT.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4284
   ClientLeft      =   3540
   ClientTop       =   3588
   ClientWidth     =   5712
   LinkTopic       =   "Form1"
   ScaleHeight     =   4284
   ScaleWidth      =   5712
   Begin VB.CommandButton DownPrgm 
      Caption         =   "Download Program"
      Height          =   492
      Left            =   120
      TabIndex        =   17
      Top             =   3480
      Width           =   2052
   End
   Begin VB.CommandButton ShortIR 
      Caption         =   "IR short"
      Height          =   315
      Left            =   120
      TabIndex        =   16
      Top             =   2400
      Width           =   1575
   End
   Begin VB.CommandButton LongIR 
      Caption         =   "IR long"
      Height          =   315
      Left            =   120
      TabIndex        =   15
      Top             =   2880
      Width           =   1575
   End
   Begin VB.CommandButton Version 
      Caption         =   "Version"
      Height          =   252
      Left            =   120
      TabIndex        =   13
      Top             =   720
      Width           =   852
   End
   Begin VB.CommandButton UnlockFirmware 
      Caption         =   "UnlockFirmware"
      Height          =   252
      Left            =   120
      TabIndex        =   12
      Top             =   1680
      Width           =   1932
   End
   Begin VB.CommandButton DownloadFirmware 
      Caption         =   "Download Firmware 3.09"
      Height          =   312
      Left            =   120
      TabIndex        =   11
      Top             =   1200
      Width           =   1932
   End
   Begin VB.TextBox Text4 
      Height          =   285
      Left            =   2400
      TabIndex        =   9
      Text            =   "Status"
      Top             =   2760
      Width           =   735
   End
   Begin VB.TextBox Text3 
      Height          =   285
      Left            =   2400
      TabIndex        =   8
      Text            =   "Time"
      Top             =   2160
      Width           =   735
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   2400
      TabIndex        =   7
      Text            =   "Size"
      Top             =   1560
      Width           =   735
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   2400
      TabIndex        =   6
      Text            =   "Number"
      Top             =   960
      Width           =   735
   End
   Begin VB.CommandButton AliveCheck 
      Caption         =   "Alive?"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1095
   End
   Begin SPIRITLib.Spirit PBrickCtrl 
      Height          =   495
      Left            =   4080
      TabIndex        =   0
      Top             =   120
      Width           =   495
      _Version        =   65536
      _ExtentX        =   873
      _ExtentY        =   873
      _StockProps     =   0
   End
   Begin VB.Label FWver 
      Caption         =   "?"
      Height          =   375
      Left            =   1080
      TabIndex        =   14
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label D_stat 
      Caption         =   "?"
      Height          =   372
      Left            =   3360
      TabIndex        =   10
      Top             =   2760
      Width           =   1092
   End
   Begin VB.Label D_time 
      Caption         =   "?"
      Height          =   375
      Left            =   3360
      TabIndex        =   5
      Top             =   2160
      Width           =   975
   End
   Begin VB.Label D_size 
      Caption         =   "?"
      Height          =   375
      Left            =   3360
      TabIndex        =   4
      Top             =   1560
      Width           =   855
   End
   Begin VB.Label D_Nr 
      Caption         =   "?"
      Height          =   255
      Left            =   3360
      TabIndex        =   3
      Top             =   960
      Width           =   855
   End
   Begin VB.Label alive 
      Caption         =   "?"
      Height          =   252
      Left            =   1440
      TabIndex        =   2
      Top             =   240
      Width           =   612
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub AliveCheck_Click()
  If PBrickCtrl.PBAliveOrNot Then
    alive.Caption = "true"
  Else
    alive.Caption = "false"
  End If
End Sub

Private Sub DownPrgm_Click()

  'simple motor on wait off test program
  PBrickCtrl.SelectPrgm MotorControl
  
  PBrickCtrl.BeginOfTask MotorOnOff
    PBrickCtrl.Wait CON, 50    'wait 0.5 sec
    'drive forward for 2 sec
    PBrickCtrl.SetPower "motor0motor2", CON, kFullSpeed
    PBrickCtrl.SetFwd "motor0motor2"
    PBrickCtrl.On "motor0motor2"
    PBrickCtrl.Wait CON, 200    'wait 2 sec
    'change direction and drive 2 sec
    PBrickCtrl.SetRwd "motor0motor2"
    PBrickCtrl.Wait CON, 200    'wait 2 sec
    PBrickCtrl.Off "motor0motor2"
    'play buildin sound
    PBrickCtrl.PlaySystemSound SWEEP_FAST_SOUND
  PBrickCtrl.EndOfTask
End Sub

Private Sub ShortIR_Click()
  PBrickCtrl.PBTxPower 0
End Sub

Private Sub Version_Click()
  FWver.Caption = PBrickCtrl.UnlockPBrick
End Sub

Private Sub LongIR_Click()
  PBrickCtrl.PBTxPower 1
End Sub

Private Sub UnlockFirmware_Click()
  PBrickCtrl.UnlockFirmware "Do you byte, when I knock?"
End Sub

Private Sub DownloadFirmware_Click()
  PBrickCtrl.DownloadFirmware "firm0309.lgo"
End Sub

Private Sub Form_Load()
  PBrickCtrl.InitComm
End Sub

Private Sub PBrickCtrl_DownloadDone(ByVal ErrorCode As Integer, ByVal DownloadNo As Integer)
  If ErrorCode = 0 Then
    D_stat.Caption = "Success"
    PBrickCtrl.PlaySystemSound SWEEP_DOWN_SOUND
  Else
    D_stat.Caption = "error: " + Chr(48 + ErrorCode)
  End If
End Sub

Private Sub PBrickCtrl_downloadStatus(ByVal timeInPBrickCtrl As Long, ByVal sizeInBytes As Long, ByVal taskNo As Integer)
  D_time.Caption = timeInPBrickCtrl
  D_size.Caption = sizeInBytes
  D_Nr.Caption = taskNo
End Sub

